Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network160.2.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
160.2.0.0
Broadcast address
160.2.127.255
First usable
160.2.0.1
Last usable
160.2.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex A0020000 · Integer 2684485632 to 2684518399
Reverse DNS zones
0.2.160.in-addr.arpa
1.2.160.in-addr.arpa
2.2.160.in-addr.arpa
3.2.160.in-addr.arpa
4.2.160.in-addr.arpa
5.2.160.in-addr.arpa
6.2.160.in-addr.arpa
7.2.160.in-addr.arpa
8.2.160.in-addr.arpa
9.2.160.in-addr.arpa
10.2.160.in-addr.arpa
11.2.160.in-addr.arpa
12.2.160.in-addr.arpa
13.2.160.in-addr.arpa
14.2.160.in-addr.arpa
15.2.160.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100000.00000010.00000000.00000000160.2.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10100000.00000010.00000000.00000000160.2.0.0
Broadcast10100000.00000010.01111111.11111111160.2.127.255
Split into smaller subnets/29

160.2.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1160.2.0.0/29160.2.0.1 to 160.2.0.6160.2.0.76
2160.2.0.8/29160.2.0.9 to 160.2.0.14160.2.0.156
3160.2.0.16/29160.2.0.17 to 160.2.0.22160.2.0.236
4160.2.0.24/29160.2.0.25 to 160.2.0.30160.2.0.316
5160.2.0.32/29160.2.0.33 to 160.2.0.38160.2.0.396
6160.2.0.40/29160.2.0.41 to 160.2.0.46160.2.0.476
7160.2.0.48/29160.2.0.49 to 160.2.0.54160.2.0.556
8160.2.0.56/29160.2.0.57 to 160.2.0.62160.2.0.636
9160.2.0.64/29160.2.0.65 to 160.2.0.70160.2.0.716
10160.2.0.72/29160.2.0.73 to 160.2.0.78160.2.0.796
11160.2.0.80/29160.2.0.81 to 160.2.0.86160.2.0.876
12160.2.0.88/29160.2.0.89 to 160.2.0.94160.2.0.956
13160.2.0.96/29160.2.0.97 to 160.2.0.102160.2.0.1036
14160.2.0.104/29160.2.0.105 to 160.2.0.110160.2.0.1116
15160.2.0.112/29160.2.0.113 to 160.2.0.118160.2.0.1196
16160.2.0.120/29160.2.0.121 to 160.2.0.126160.2.0.1276
17160.2.0.128/29160.2.0.129 to 160.2.0.134160.2.0.1356
18160.2.0.136/29160.2.0.137 to 160.2.0.142160.2.0.1436
19160.2.0.144/29160.2.0.145 to 160.2.0.150160.2.0.1516
20160.2.0.152/29160.2.0.153 to 160.2.0.158160.2.0.1596
21160.2.0.160/29160.2.0.161 to 160.2.0.166160.2.0.1676
22160.2.0.168/29160.2.0.169 to 160.2.0.174160.2.0.1756
23160.2.0.176/29160.2.0.177 to 160.2.0.182160.2.0.1836
24160.2.0.184/29160.2.0.185 to 160.2.0.190160.2.0.1916
25160.2.0.192/29160.2.0.193 to 160.2.0.198160.2.0.1996
26160.2.0.200/29160.2.0.201 to 160.2.0.206160.2.0.2076
27160.2.0.208/29160.2.0.209 to 160.2.0.214160.2.0.2156
28160.2.0.216/29160.2.0.217 to 160.2.0.222160.2.0.2236
29160.2.0.224/29160.2.0.225 to 160.2.0.230160.2.0.2316
30160.2.0.232/29160.2.0.233 to 160.2.0.238160.2.0.2396
31160.2.0.240/29160.2.0.241 to 160.2.0.246160.2.0.2476
32160.2.0.248/29160.2.0.249 to 160.2.0.254160.2.0.2556
33160.2.1.0/29160.2.1.1 to 160.2.1.6160.2.1.76
34160.2.1.8/29160.2.1.9 to 160.2.1.14160.2.1.156
35160.2.1.16/29160.2.1.17 to 160.2.1.22160.2.1.236
36160.2.1.24/29160.2.1.25 to 160.2.1.30160.2.1.316
37160.2.1.32/29160.2.1.33 to 160.2.1.38160.2.1.396
38160.2.1.40/29160.2.1.41 to 160.2.1.46160.2.1.476
39160.2.1.48/29160.2.1.49 to 160.2.1.54160.2.1.556
40160.2.1.56/29160.2.1.57 to 160.2.1.62160.2.1.636
41160.2.1.64/29160.2.1.65 to 160.2.1.70160.2.1.716
42160.2.1.72/29160.2.1.73 to 160.2.1.78160.2.1.796
43160.2.1.80/29160.2.1.81 to 160.2.1.86160.2.1.876
44160.2.1.88/29160.2.1.89 to 160.2.1.94160.2.1.956
45160.2.1.96/29160.2.1.97 to 160.2.1.102160.2.1.1036
46160.2.1.104/29160.2.1.105 to 160.2.1.110160.2.1.1116
47160.2.1.112/29160.2.1.113 to 160.2.1.118160.2.1.1196
48160.2.1.120/29160.2.1.121 to 160.2.1.126160.2.1.1276
49160.2.1.128/29160.2.1.129 to 160.2.1.134160.2.1.1356
50160.2.1.136/29160.2.1.137 to 160.2.1.142160.2.1.1436
51160.2.1.144/29160.2.1.145 to 160.2.1.150160.2.1.1516
52160.2.1.152/29160.2.1.153 to 160.2.1.158160.2.1.1596
53160.2.1.160/29160.2.1.161 to 160.2.1.166160.2.1.1676
54160.2.1.168/29160.2.1.169 to 160.2.1.174160.2.1.1756
55160.2.1.176/29160.2.1.177 to 160.2.1.182160.2.1.1836
56160.2.1.184/29160.2.1.185 to 160.2.1.190160.2.1.1916
57160.2.1.192/29160.2.1.193 to 160.2.1.198160.2.1.1996
58160.2.1.200/29160.2.1.201 to 160.2.1.206160.2.1.2076
59160.2.1.208/29160.2.1.209 to 160.2.1.214160.2.1.2156
60160.2.1.216/29160.2.1.217 to 160.2.1.222160.2.1.2236
61160.2.1.224/29160.2.1.225 to 160.2.1.230160.2.1.2316
62160.2.1.232/29160.2.1.233 to 160.2.1.238160.2.1.2396
63160.2.1.240/29160.2.1.241 to 160.2.1.246160.2.1.2476
64160.2.1.248/29160.2.1.249 to 160.2.1.254160.2.1.2556
65160.2.2.0/29160.2.2.1 to 160.2.2.6160.2.2.76
66160.2.2.8/29160.2.2.9 to 160.2.2.14160.2.2.156
67160.2.2.16/29160.2.2.17 to 160.2.2.22160.2.2.236
68160.2.2.24/29160.2.2.25 to 160.2.2.30160.2.2.316
69160.2.2.32/29160.2.2.33 to 160.2.2.38160.2.2.396
70160.2.2.40/29160.2.2.41 to 160.2.2.46160.2.2.476
71160.2.2.48/29160.2.2.49 to 160.2.2.54160.2.2.556
72160.2.2.56/29160.2.2.57 to 160.2.2.62160.2.2.636
73160.2.2.64/29160.2.2.65 to 160.2.2.70160.2.2.716
74160.2.2.72/29160.2.2.73 to 160.2.2.78160.2.2.796
75160.2.2.80/29160.2.2.81 to 160.2.2.86160.2.2.876
76160.2.2.88/29160.2.2.89 to 160.2.2.94160.2.2.956
77160.2.2.96/29160.2.2.97 to 160.2.2.102160.2.2.1036
78160.2.2.104/29160.2.2.105 to 160.2.2.110160.2.2.1116
79160.2.2.112/29160.2.2.113 to 160.2.2.118160.2.2.1196
80160.2.2.120/29160.2.2.121 to 160.2.2.126160.2.2.1276
81160.2.2.128/29160.2.2.129 to 160.2.2.134160.2.2.1356
82160.2.2.136/29160.2.2.137 to 160.2.2.142160.2.2.1436
83160.2.2.144/29160.2.2.145 to 160.2.2.150160.2.2.1516
84160.2.2.152/29160.2.2.153 to 160.2.2.158160.2.2.1596
85160.2.2.160/29160.2.2.161 to 160.2.2.166160.2.2.1676
86160.2.2.168/29160.2.2.169 to 160.2.2.174160.2.2.1756
87160.2.2.176/29160.2.2.177 to 160.2.2.182160.2.2.1836
88160.2.2.184/29160.2.2.185 to 160.2.2.190160.2.2.1916
89160.2.2.192/29160.2.2.193 to 160.2.2.198160.2.2.1996
90160.2.2.200/29160.2.2.201 to 160.2.2.206160.2.2.2076
91160.2.2.208/29160.2.2.209 to 160.2.2.214160.2.2.2156
92160.2.2.216/29160.2.2.217 to 160.2.2.222160.2.2.2236
93160.2.2.224/29160.2.2.225 to 160.2.2.230160.2.2.2316
94160.2.2.232/29160.2.2.233 to 160.2.2.238160.2.2.2396
95160.2.2.240/29160.2.2.241 to 160.2.2.246160.2.2.2476
96160.2.2.248/29160.2.2.249 to 160.2.2.254160.2.2.2556
97160.2.3.0/29160.2.3.1 to 160.2.3.6160.2.3.76
98160.2.3.8/29160.2.3.9 to 160.2.3.14160.2.3.156
99160.2.3.16/29160.2.3.17 to 160.2.3.22160.2.3.236
100160.2.3.24/29160.2.3.25 to 160.2.3.30160.2.3.316
101160.2.3.32/29160.2.3.33 to 160.2.3.38160.2.3.396
102160.2.3.40/29160.2.3.41 to 160.2.3.46160.2.3.476
103160.2.3.48/29160.2.3.49 to 160.2.3.54160.2.3.556
104160.2.3.56/29160.2.3.57 to 160.2.3.62160.2.3.636
105160.2.3.64/29160.2.3.65 to 160.2.3.70160.2.3.716
106160.2.3.72/29160.2.3.73 to 160.2.3.78160.2.3.796
107160.2.3.80/29160.2.3.81 to 160.2.3.86160.2.3.876
108160.2.3.88/29160.2.3.89 to 160.2.3.94160.2.3.956
109160.2.3.96/29160.2.3.97 to 160.2.3.102160.2.3.1036
110160.2.3.104/29160.2.3.105 to 160.2.3.110160.2.3.1116
111160.2.3.112/29160.2.3.113 to 160.2.3.118160.2.3.1196
112160.2.3.120/29160.2.3.121 to 160.2.3.126160.2.3.1276
113160.2.3.128/29160.2.3.129 to 160.2.3.134160.2.3.1356
114160.2.3.136/29160.2.3.137 to 160.2.3.142160.2.3.1436
115160.2.3.144/29160.2.3.145 to 160.2.3.150160.2.3.1516
116160.2.3.152/29160.2.3.153 to 160.2.3.158160.2.3.1596
117160.2.3.160/29160.2.3.161 to 160.2.3.166160.2.3.1676
118160.2.3.168/29160.2.3.169 to 160.2.3.174160.2.3.1756
119160.2.3.176/29160.2.3.177 to 160.2.3.182160.2.3.1836
120160.2.3.184/29160.2.3.185 to 160.2.3.190160.2.3.1916
121160.2.3.192/29160.2.3.193 to 160.2.3.198160.2.3.1996
122160.2.3.200/29160.2.3.201 to 160.2.3.206160.2.3.2076
123160.2.3.208/29160.2.3.209 to 160.2.3.214160.2.3.2156
124160.2.3.216/29160.2.3.217 to 160.2.3.222160.2.3.2236
125160.2.3.224/29160.2.3.225 to 160.2.3.230160.2.3.2316
126160.2.3.232/29160.2.3.233 to 160.2.3.238160.2.3.2396
127160.2.3.240/29160.2.3.241 to 160.2.3.246160.2.3.2476
128160.2.3.248/29160.2.3.249 to 160.2.3.254160.2.3.2556
129160.2.4.0/29160.2.4.1 to 160.2.4.6160.2.4.76
130160.2.4.8/29160.2.4.9 to 160.2.4.14160.2.4.156
131160.2.4.16/29160.2.4.17 to 160.2.4.22160.2.4.236
132160.2.4.24/29160.2.4.25 to 160.2.4.30160.2.4.316
133160.2.4.32/29160.2.4.33 to 160.2.4.38160.2.4.396
134160.2.4.40/29160.2.4.41 to 160.2.4.46160.2.4.476
135160.2.4.48/29160.2.4.49 to 160.2.4.54160.2.4.556
136160.2.4.56/29160.2.4.57 to 160.2.4.62160.2.4.636
137160.2.4.64/29160.2.4.65 to 160.2.4.70160.2.4.716
138160.2.4.72/29160.2.4.73 to 160.2.4.78160.2.4.796
139160.2.4.80/29160.2.4.81 to 160.2.4.86160.2.4.876
140160.2.4.88/29160.2.4.89 to 160.2.4.94160.2.4.956
141160.2.4.96/29160.2.4.97 to 160.2.4.102160.2.4.1036
142160.2.4.104/29160.2.4.105 to 160.2.4.110160.2.4.1116
143160.2.4.112/29160.2.4.113 to 160.2.4.118160.2.4.1196
144160.2.4.120/29160.2.4.121 to 160.2.4.126160.2.4.1276
145160.2.4.128/29160.2.4.129 to 160.2.4.134160.2.4.1356
146160.2.4.136/29160.2.4.137 to 160.2.4.142160.2.4.1436
147160.2.4.144/29160.2.4.145 to 160.2.4.150160.2.4.1516
148160.2.4.152/29160.2.4.153 to 160.2.4.158160.2.4.1596
149160.2.4.160/29160.2.4.161 to 160.2.4.166160.2.4.1676
150160.2.4.168/29160.2.4.169 to 160.2.4.174160.2.4.1756
151160.2.4.176/29160.2.4.177 to 160.2.4.182160.2.4.1836
152160.2.4.184/29160.2.4.185 to 160.2.4.190160.2.4.1916
153160.2.4.192/29160.2.4.193 to 160.2.4.198160.2.4.1996
154160.2.4.200/29160.2.4.201 to 160.2.4.206160.2.4.2076
155160.2.4.208/29160.2.4.209 to 160.2.4.214160.2.4.2156
156160.2.4.216/29160.2.4.217 to 160.2.4.222160.2.4.2236
157160.2.4.224/29160.2.4.225 to 160.2.4.230160.2.4.2316
158160.2.4.232/29160.2.4.233 to 160.2.4.238160.2.4.2396
159160.2.4.240/29160.2.4.241 to 160.2.4.246160.2.4.2476
160160.2.4.248/29160.2.4.249 to 160.2.4.254160.2.4.2556
161160.2.5.0/29160.2.5.1 to 160.2.5.6160.2.5.76
162160.2.5.8/29160.2.5.9 to 160.2.5.14160.2.5.156
163160.2.5.16/29160.2.5.17 to 160.2.5.22160.2.5.236
164160.2.5.24/29160.2.5.25 to 160.2.5.30160.2.5.316
165160.2.5.32/29160.2.5.33 to 160.2.5.38160.2.5.396
166160.2.5.40/29160.2.5.41 to 160.2.5.46160.2.5.476
167160.2.5.48/29160.2.5.49 to 160.2.5.54160.2.5.556
168160.2.5.56/29160.2.5.57 to 160.2.5.62160.2.5.636
169160.2.5.64/29160.2.5.65 to 160.2.5.70160.2.5.716
170160.2.5.72/29160.2.5.73 to 160.2.5.78160.2.5.796
171160.2.5.80/29160.2.5.81 to 160.2.5.86160.2.5.876
172160.2.5.88/29160.2.5.89 to 160.2.5.94160.2.5.956
173160.2.5.96/29160.2.5.97 to 160.2.5.102160.2.5.1036
174160.2.5.104/29160.2.5.105 to 160.2.5.110160.2.5.1116
175160.2.5.112/29160.2.5.113 to 160.2.5.118160.2.5.1196
176160.2.5.120/29160.2.5.121 to 160.2.5.126160.2.5.1276
177160.2.5.128/29160.2.5.129 to 160.2.5.134160.2.5.1356
178160.2.5.136/29160.2.5.137 to 160.2.5.142160.2.5.1436
179160.2.5.144/29160.2.5.145 to 160.2.5.150160.2.5.1516
180160.2.5.152/29160.2.5.153 to 160.2.5.158160.2.5.1596
181160.2.5.160/29160.2.5.161 to 160.2.5.166160.2.5.1676
182160.2.5.168/29160.2.5.169 to 160.2.5.174160.2.5.1756
183160.2.5.176/29160.2.5.177 to 160.2.5.182160.2.5.1836
184160.2.5.184/29160.2.5.185 to 160.2.5.190160.2.5.1916
185160.2.5.192/29160.2.5.193 to 160.2.5.198160.2.5.1996
186160.2.5.200/29160.2.5.201 to 160.2.5.206160.2.5.2076
187160.2.5.208/29160.2.5.209 to 160.2.5.214160.2.5.2156
188160.2.5.216/29160.2.5.217 to 160.2.5.222160.2.5.2236
189160.2.5.224/29160.2.5.225 to 160.2.5.230160.2.5.2316
190160.2.5.232/29160.2.5.233 to 160.2.5.238160.2.5.2396
191160.2.5.240/29160.2.5.241 to 160.2.5.246160.2.5.2476
192160.2.5.248/29160.2.5.249 to 160.2.5.254160.2.5.2556
193160.2.6.0/29160.2.6.1 to 160.2.6.6160.2.6.76
194160.2.6.8/29160.2.6.9 to 160.2.6.14160.2.6.156
195160.2.6.16/29160.2.6.17 to 160.2.6.22160.2.6.236
196160.2.6.24/29160.2.6.25 to 160.2.6.30160.2.6.316
197160.2.6.32/29160.2.6.33 to 160.2.6.38160.2.6.396
198160.2.6.40/29160.2.6.41 to 160.2.6.46160.2.6.476
199160.2.6.48/29160.2.6.49 to 160.2.6.54160.2.6.556
200160.2.6.56/29160.2.6.57 to 160.2.6.62160.2.6.636
201160.2.6.64/29160.2.6.65 to 160.2.6.70160.2.6.716
202160.2.6.72/29160.2.6.73 to 160.2.6.78160.2.6.796
203160.2.6.80/29160.2.6.81 to 160.2.6.86160.2.6.876
204160.2.6.88/29160.2.6.89 to 160.2.6.94160.2.6.956
205160.2.6.96/29160.2.6.97 to 160.2.6.102160.2.6.1036
206160.2.6.104/29160.2.6.105 to 160.2.6.110160.2.6.1116
207160.2.6.112/29160.2.6.113 to 160.2.6.118160.2.6.1196
208160.2.6.120/29160.2.6.121 to 160.2.6.126160.2.6.1276
209160.2.6.128/29160.2.6.129 to 160.2.6.134160.2.6.1356
210160.2.6.136/29160.2.6.137 to 160.2.6.142160.2.6.1436
211160.2.6.144/29160.2.6.145 to 160.2.6.150160.2.6.1516
212160.2.6.152/29160.2.6.153 to 160.2.6.158160.2.6.1596
213160.2.6.160/29160.2.6.161 to 160.2.6.166160.2.6.1676
214160.2.6.168/29160.2.6.169 to 160.2.6.174160.2.6.1756
215160.2.6.176/29160.2.6.177 to 160.2.6.182160.2.6.1836
216160.2.6.184/29160.2.6.185 to 160.2.6.190160.2.6.1916
217160.2.6.192/29160.2.6.193 to 160.2.6.198160.2.6.1996
218160.2.6.200/29160.2.6.201 to 160.2.6.206160.2.6.2076
219160.2.6.208/29160.2.6.209 to 160.2.6.214160.2.6.2156
220160.2.6.216/29160.2.6.217 to 160.2.6.222160.2.6.2236
221160.2.6.224/29160.2.6.225 to 160.2.6.230160.2.6.2316
222160.2.6.232/29160.2.6.233 to 160.2.6.238160.2.6.2396
223160.2.6.240/29160.2.6.241 to 160.2.6.246160.2.6.2476
224160.2.6.248/29160.2.6.249 to 160.2.6.254160.2.6.2556
225160.2.7.0/29160.2.7.1 to 160.2.7.6160.2.7.76
226160.2.7.8/29160.2.7.9 to 160.2.7.14160.2.7.156
227160.2.7.16/29160.2.7.17 to 160.2.7.22160.2.7.236
228160.2.7.24/29160.2.7.25 to 160.2.7.30160.2.7.316
229160.2.7.32/29160.2.7.33 to 160.2.7.38160.2.7.396
230160.2.7.40/29160.2.7.41 to 160.2.7.46160.2.7.476
231160.2.7.48/29160.2.7.49 to 160.2.7.54160.2.7.556
232160.2.7.56/29160.2.7.57 to 160.2.7.62160.2.7.636
233160.2.7.64/29160.2.7.65 to 160.2.7.70160.2.7.716
234160.2.7.72/29160.2.7.73 to 160.2.7.78160.2.7.796
235160.2.7.80/29160.2.7.81 to 160.2.7.86160.2.7.876
236160.2.7.88/29160.2.7.89 to 160.2.7.94160.2.7.956
237160.2.7.96/29160.2.7.97 to 160.2.7.102160.2.7.1036
238160.2.7.104/29160.2.7.105 to 160.2.7.110160.2.7.1116
239160.2.7.112/29160.2.7.113 to 160.2.7.118160.2.7.1196
240160.2.7.120/29160.2.7.121 to 160.2.7.126160.2.7.1276
241160.2.7.128/29160.2.7.129 to 160.2.7.134160.2.7.1356
242160.2.7.136/29160.2.7.137 to 160.2.7.142160.2.7.1436
243160.2.7.144/29160.2.7.145 to 160.2.7.150160.2.7.1516
244160.2.7.152/29160.2.7.153 to 160.2.7.158160.2.7.1596
245160.2.7.160/29160.2.7.161 to 160.2.7.166160.2.7.1676
246160.2.7.168/29160.2.7.169 to 160.2.7.174160.2.7.1756
247160.2.7.176/29160.2.7.177 to 160.2.7.182160.2.7.1836
248160.2.7.184/29160.2.7.185 to 160.2.7.190160.2.7.1916
249160.2.7.192/29160.2.7.193 to 160.2.7.198160.2.7.1996
250160.2.7.200/29160.2.7.201 to 160.2.7.206160.2.7.2076
251160.2.7.208/29160.2.7.209 to 160.2.7.214160.2.7.2156
252160.2.7.216/29160.2.7.217 to 160.2.7.222160.2.7.2236
253160.2.7.224/29160.2.7.225 to 160.2.7.230160.2.7.2316
254160.2.7.232/29160.2.7.233 to 160.2.7.238160.2.7.2396
255160.2.7.240/29160.2.7.241 to 160.2.7.246160.2.7.2476
256160.2.7.248/29160.2.7.249 to 160.2.7.254160.2.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses